Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.weather
Class Weather

    java.lang.Object
      org.blojsom.plugin.weather.Weather

public class Weather
extends java.lang.Object

Weather

Since:
  blojsom 3.0
Version:
  $Id: Weather.java,v 1.1 2006/03/26 16:27:30 czarneckid Exp $
Author:
  David czarnecki, Mark Lussier

Constructor Summary
`Weather()` Default constructor.

Method Summary
`java.lang.String` | `getProviderClass()` Retrieve the fully-qualified classname handling the parsing of weather information
`java.lang.String` | `getStationCode()` Get the weather station ID for retrieving a feed of weather data
`void` | `setProviderClass(java.lang.String providerClass)` Set the fully-qualified classname handling the parsing of weather information
`void` | `setStationCode(java.lang.String stationCode)` Set the weather station ID for retrieving a feed of weather data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Weather

    public Weather()

  Default constructor. Not enabled by default.

Method Detail

### getStationCode

    public java.lang.String getStationCode()

  Get the weather station ID for retrieving a feed of weather data

  Returns:
    Weather station ID

### setStationCode

    public void setStationCode(java.lang.String stationCode)

  Set the weather station ID for retrieving a feed of weather data

  Parameters:
    `stationCode` - Weather station ID

### getProviderClass

    public java.lang.String getProviderClass()

  Retrieve the fully-qualified classname handling the parsing of weather information

  Returns:
    Fully-qualified classname handling parsing of weather information

### setProviderClass

    public void setProviderClass(java.lang.String providerClass)

  Set the fully-qualified classname handling the parsing of weather information

  Parameters:
    `providerClass` - Fully-qualified classname handling parsing of weather information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD